{% extends 'user.html.twig' %}

{% block title %}Notification
{% endblock %}

{% block body %}
	<section class="container">
		<div class="row justify-content-md-center p-5">
			<div class="col-12">
				<h1>Notification</h1>
				<p>Vous avez reçu
					{{ app.user.received|length }}
					notifications</p>
					{% set count = 0 %}
					{% for notification in app.user.received %}
						{% if notification.vue == 0 %}
							{% set count = count + 1 %}
						{% endif %}
					{% endfor %}
					dont {{ count }} non lu(s)
			</div>
			<div class="col-3 fw-bold text-center border border-dark d-table p-2 bg-secondary">De</div>
			<div class="col-3 fw-bold text-center border border-dark d-table p-2 bg-secondary">Sujet</div>
			<div class="col-3 fw-bold text-center border border-dark d-table p-2 bg-secondary">Date</div>
			<div class="col-3 fw-bold text-center border border-dark d-table p-2 bg-secondary">Actions</div>
			{% for notification in app.user.received %}
				{% set bold = "" %}
				{% set bgN = "" %}
				{% if notification.vue == 0 %}
					{% set bold = "fw-bold" %}
					{% set bgN = "bg-light" %}
				{% endif %}

				<div class="col-3 text-center border border-dark d-table p-2 {{bold}} {{bgN}}">{{ notification.sender }}</div>
				<div class="col-3 text-center border border-dark d-table p-2 {{bold}} {{bgN}}">
					<a href="{{ path("read", {id: notification.id}) }}">{{ notification.titre }}</a>
				</div>
				<div class="col-3 text-center border border-dark d-table p-2 {{bold}} {{bgN}}">{{ notification.dateCreation|date("d/m/Y") }}</div>
				<div class="col-3 text-center border border-dark d-table p-2">
                    <a href="{{ path("delete", {id: notification.id}) }}">
                        <i class="bi bi-trash"></i>
                    </a>
				</div>
			{% endfor %}
		</div>
	</section>
{% endblock %}